## tqca-tls 14.0.4

=== debian/changelog ===
tqca-tls (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 11:38:30 +0200

tqca-tls (1.0-0) maverick; urgency=low

  * TQt upload

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 17 Dec 2011 19:48:00 -0600

qca-tls (1.0-5) natty; urgency=low

  * Natty upload

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 15 Aug 2011 13:51:00 -0600

qca-tls (1.0-4) unstable; urgency=low

  * Honour DEB_BUILD_OPTIONS=nostrip (Closes: Bug#437850)
  * Fixed a intian warning

 -- Jan Niehusmann <jan@debian.org>  Tue, 14 Aug 2007 17:13:06 +0200

qca-tls (1.0-3) unstable; urgency=low

  * Changed two type conversions to const to make gcc happy
    (Closes: Bug#337449)
  * Set Standards-Version to 3.6.2.0

 -- Jan Niehusmann <jan@debian.org>  Thu, 15 Dec 2005 22:59:09 +0100

qca-tls (1.0-2) unstable; urgency=low

  * Recompiled for C++ ABI transition.

 -- Jan Niehusmann <jan@debian.org>  Fri, 26 Aug 2005 18:10:30 +0000

qca-tls (1.0-1) unstable; urgency=low

  * Most of the following changes were done by Peter Palfrader
    <weasel@debian.org> - many thanks to him!
  * New upstream version (closes: #235093).
  * qca-tls is a non-native package now (closes: #235084).
  * Clean up properly in clean target:
    rm -rf .ui .moc .obj Makefile conf.log conf.pri extra.pri
    (closes: #235089).
  * Do not copy over config.{sub,guess} from /usr/share during
    build.  They are not needed at all (closes: #235085).
  * Remove debian/qca.doc-base.EX example file (closes: #235092).
  * Do not ship readme in the binary package:  it's just install
    instructions (closes: #234939).
  * Something changed that makes the configure script make the
    Makefile install the .so into usr/lib, as opposed to usr/share
    (closes: #233530).  At any rate, we will not claim to have
    built a working package if it happens again:
  * Make the build fail if we don't have a
    usr/lib/qt3/plugins/crypto/libqca-tls.so file after install.
  * Make stamps in debian/rules actually work.
  * Update copyright file to list current download link
  * Added QMAKE_PROJECT_DEPTH=0 to .pro file to make qca-tls build in
    nested directory structures.

 -- Jan Niehusmann <jan@debian.org>  Sat, 28 Feb 2004 13:35:28 +0100

qca-tls (0.0-CVS-20031209-1.3) unstable; urgency=low

  * Damn. Added build-depends on libssl-dev...

 -- Jan Niehusmann <jan@debian.org>  Fri, 13 Feb 2004 15:06:45 +0100

qca-tls (0.0-CVS-20031209-1.2) unstable; urgency=low

  * Added build-depends on libqt3-mt-dev

 -- Jan Niehusmann <jan@debian.org>  Fri, 13 Feb 2004 13:27:34 +0100

qca-tls (0.0-CVS-20031209-1.1) unstable; urgency=low

  * Upload to unstable

 -- Jan Niehusmann <jan@debian.org>  Thu, 12 Feb 2004 20:28:19 +0100

qca-tls (0.0-CVS-20031209-1) experimental; urgency=low

  * Initial Release.
  * New upstream version

 -- Jan Niehusmann <jan@debian.org>  Wed, 10 Dec 2003 12:21:07 +0100

## tqca-tls 14.0.5

=== debian/changelog ===
tqca-tls (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 03:42:47 +0200

## tqca-tls 14.0.9

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( tqca-tls )
set( VERSION R14.0.9 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H -DTQCA_PLUGIN )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${OPENSSL_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### tqca-tls (shared)

tde_add_library( ${PROJECT_NAME} SHARED NO_LIBTOOL_FILE AUTOMOC

  SOURCES
        tqca-tls.cpp
  LINK
     ${TQT_LIBRARIES}
     ${OPENSSL_LIBRARIES}

  DESTINATION ${TQT_PLUGINS_CRYPTO_DIR}
)


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

## tqca-tls 14.0.6

=== debian/changelog ===
tqca-tls (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 04 Mar 2019 00:14:28 +0100

tqca-tls (1.0-0) squeeze; urgency=low

  * TQt upload

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sat, 17 Dec 2011 19:48:00 -0600

=== debian/control ===
Source: tqca-tls
Section: libs
Priority: optional
Maintainer: Jan Niehusmann <jan@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libtqtinterface-dev, libssl-dev
Standards-Version: 3.8.4

Package: tqca-tls
Section: libs
Architecture: any
Replaces: tqca-tls (<< 4:14.0.0~)
Breaks: tqca-tls (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: TLS plugin for the TQt Cryptographic Architecture (TQCA)
 This is a plugin to provide SSL/TLS capability to programs that
 utilize the TQt Cryptographic Architecture (TQCA).
 .
 TQCA is a library providing an easy API for several cryptographic algorithms 
 to TQt programs.
 .
 At the moment only the tqca-tls plugin is packaged for debian, as it's
 used by the package 'psi'. The generic library and several other plugins
 will be packaged when upstream releases them.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf .ui .moc .obj Makefile conf.log conf.pri extra.pri

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install INSTALL_ROOT=$(CURDIR)/debian/tmp/
	[ -e $(CURDIR)/debian/tmp/usr/lib/tqt3/plugins/crypto/libtqca-tls.so ] || ( echo "libtqca-tls.so not in usr/lib/tqt3/plugins/crypto/libtqca-tls.so" && exit 1 )


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp --list-missing
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tqca-tls 14.0.9

=== debian/changelog ===
tqca-tls (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 10:50:32 +0200

## tqca-tls 14.0.10

=== debian/changelog ===
tqca-tls (4:14.0.10-0raspbian9.0.0+0) raspbian-stretch; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: tqca-tls
 Section: libs
 Priority: optional
-Maintainer: Jan Niehusmann <jan@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libtqtinterface-dev, libssl-dev
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, libtqca-dev, libssl-dev
 Standards-Version: 3.8.4
 
 Package: tqca-tls

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DWITH_ALL_OPTIONS="ON"
